package ecsample;

import jp.co.adv.excelcreator.creator.XlsxCreator;

public class App {

	public static void main(String[] args) {
		XlsxCreator creator = new XlsxCreator();
		// openBookメソッドでテンプレートのExcelファイルを指定します。
		creator.openBook("out.xlsx", "resources/templateoverlay.xlsx");
		
		// セルを指定して値を挿入します。
		creator.getCell("B4").setValue("ExcelCreator for Java");
		creator.getCell("H4").setValue(10);
		creator.getCell("K4").setValue(40000);
		creator.getCell("O4").setFunc("=H4*K4", null);
		
		creator.getCell("B5").setValue("VB-Report 11");
		creator.getCell("H5").setValue(8);
		creator.getCell("K5").setValue(85000);
		creator.getCell("O5").setFunc("=H5*K5", null);
		
		creator.getCell("B6").setValue("ExcelWebForm");
		creator.getCell("H6").setValue(5);
		creator.getCell("K6").setValue(70000);
		creator.getCell("O6").setFunc("=H6*K6", null);
		
		creator.getCell("O10").setFunc("=SUM(O4:R8)", null);
		creator.getCell("O11").setFunc("=O10*0.08", null);
		creator.getCell("O12").setFunc("=O10+O11", null);
		
		// 数式の再計算
		creator.setReCalcValue(true);
		
		// 文書のプロパティ
		creator.getPdf().setTitle("タイトル");
		creator.getPdf().setSubject("サブタイトル");
		creator.getPdf().setAuthor("作成者");
		creator.getPdf().setApplication("アプリケーション");
		creator.getPdf().setProducer("PDF 変換");

		// フォント埋め込み
		creator.getPdf().setEmbedFonts(new String[] { "*" });
		
		
//		// 修正前
//		// 編集したExcelファイルを保存します。
//		creator.closeBook(true);

		// 修正後
		creator.closeBook(true, "out.pdf", false);
		
		System.out.println("出力完了");
	}

}
